/// <reference types="node" />
import { Actions, Connector } from '@web3-react/types';
import type { EventEmitter } from 'node:events';
import type WalletConnectProvider from '@walletconnect/ethereum-provider';
import type { IWCEthRpcConnectionOptions } from '@walletconnect/types';
interface MockWalletConnectProvider extends Omit<WalletConnectProvider, 'on' | 'off' | 'once' | 'removeListener'>, EventEmitter {
}
export declare class WalletConnect extends Connector {
    private readonly options?;
    private providerPromise?;
    provider: MockWalletConnectProvider | undefined;
    constructor(actions: Actions, options?: IWCEthRpcConnectionOptions, connectEagerly?: boolean);
    private startListening;
    activate(): Promise<void>;
    deactivate(): Promise<void>;
}
export {};
